jackrabbit-oak-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Julian Reschke (Jira)" <j...@apache.org>
Subject [jira] [Commented] (OAK-8815) Javadoc build fails if using Java 11
Date Tue, 03 Dec 2019 18:37:00 GMT

    [ https://issues.apache.org/jira/browse/OAK-8815?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16987161#comment-16987161
] 

Julian Reschke commented on OAK-8815:
-------------------------------------

In general, these kind of errors are caused by the fact that for javadoc:aggregate, only a
single version if a given artefact can be passed to the Javadoc processor; thus, any kind
of magic that allows us to use different (incompatible) versions in the project breaks here.

In the past I have worked around this by suppressing the documentation build for selected
packages.

> Javadoc build fails if using Java 11
> ------------------------------------
>
>                 Key: OAK-8815
>                 URL: https://issues.apache.org/jira/browse/OAK-8815
>             Project: Jackrabbit Oak
>          Issue Type: Bug
>          Components: doc
>    Affects Versions: 1.20.0
>            Reporter: Matt Ryan
>            Priority: Major
>             Fix For: 1.22.0
>
>
> Trying to build the Javadocs when using Java 11 fails. If you specify Java 8 when building
the Javadocs, the build succeeds.
> Command I'm using to build the Javadocs:  {{mvn site -Pjavadoc}} (as described in the
{{oak-doc}} readme).
> I will include more information on the errors in comments.



--
This message was sent by Atlassian Jira
(v8.3.4#803005)

Mime
View raw message